| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ReaderAttributes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Class ReaderAttributes, to define the attributes of a RTPSReader. More...

`#include <ReaderAttributes.hpp>`

## Public Member Functions

| ReaderAttributes ()

## Public Attributes

EndpointAttributes | endpoint {}
| Attributes of the associated endpoint.
ReaderTimes | times {}
| Times associated with this reader (only for stateful readers).
fastdds::dds::LivelinessQosPolicyKind | liveliness_kind
| Liveliness kind.
dds::Duration_t | liveliness_lease_duration {TIME_T_INFINITE_SECONDS, TIME_T_INFINITE_NANOSECONDS}
| Liveliness lease duration.
bool | expects_inline_qos = false
| Indicates if the reader expects Inline qos, default value false.
bool | disable_positive_acks = false
| Disable positive ACKs.
bool | accept_messages_from_unkown_writers = false
| Enable or disable the reception of messages from unknown writers.
ResourceLimitedContainerConfig | matched_writers_allocation {}
| Define the allocation behaviour for matched-writer-dependent collections.
fastdds::rtps::ThreadSettings | data_sharing_listener_thread {}
| Thread settings for the data-sharing listener thread.

## Detailed Description

Class ReaderAttributes, to define the attributes of a RTPSReader.

## Constructor & Destructor Documentation

## ◆ ReaderAttributes()

ReaderAttributes | ( |  | ) |

inline

## Member Data Documentation

## ◆ accept_messages_from_unkown_writers

bool accept_messages_from_unkown_writers = false

Enable or disable the reception of messages from unknown writers.

## ◆ data_sharing_listener_thread

fastdds::rtps::ThreadSettings data_sharing_listener_thread {}

Thread settings for the data-sharing listener thread.

## ◆ disable_positive_acks

bool disable_positive_acks = false

Disable positive ACKs.

## ◆ endpoint

EndpointAttributes endpoint {}

Attributes of the associated endpoint.

## ◆ expects_inline_qos

bool expects_inline_qos = false

Indicates if the reader expects Inline qos, default value false.

## ◆ liveliness_kind

fastdds::dds::LivelinessQosPolicyKind liveliness_kind

Initial value:
=
fastdds::dds::LivelinessQosPolicyKind::AUTOMATIC_LIVELINESS_QOS

Liveliness kind.

## ◆ liveliness_lease_duration

dds::Duration_t liveliness_lease_duration {TIME_T_INFINITE_SECONDS, TIME_T_INFINITE_NANOSECONDS}

Liveliness lease duration.

## ◆ matched_writers_allocation

ResourceLimitedContainerConfig matched_writers_allocation {}

Define the allocation behaviour for matched-writer-dependent collections.

## ◆ times

ReaderTimes times {}

Times associated with this reader (only for stateful readers).

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/ReaderAttributes.hpp